<template>
  <div class="fr-toggle">
    <input
      :id="name"
      type="checkbox"
      class="fr-toggle__input"
      :checked="checked"
      :aria-labelledby="labelledBy"
      @change="$emit('toggle', $event.target.checked)"
    />
    <label
      class="fr-toggle__label"
      :class="{ 'no-label': noLabel }"
      :for="name"
      :data-fr-checked-label="checkedLabel ? 'Activé' : undefined"
      :data-fr-unchecked-label="checkedLabel ? 'Désactivé' : undefined"
    >
      <span v-show="!noLabel">
        {{ label }}
      </span>
    </label>
  </div>
</template>

<script setup>
  defineProps({
    label: {
      type: String,
      required: true
    },
    noLabel: {
      type: Boolean,
      default: false
    },
    labelledBy: {
      type: String,
      default: undefined
    },
    name: {
      type: String,
      required: true
    },
    checked: {
      type: Boolean,
      default: false
    },
    checkedLabel: {
      type: Boolean,
      default: true
    }
  })

  defineEmits(['toggle'])
</script>

<style scoped>
  .fr-toggle__label.no-label {
    padding-left: 0;
  }
</style>
